package com.pcloud.book.personal.mapper;

import com.pcloud.book.personal.dto.PcloudUserLabelDto;
import com.pcloud.book.personal.entity.PcloudUserLabel;

import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudUserLabelMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PcloudUserLabel record);

    int insertSelective(PcloudUserLabel record);

    PcloudUserLabel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudUserLabel record);

    int updateByPrimaryKey(PcloudUserLabel record);

    List<PcloudUserLabelDto> getPcloudUserLabelList(String wechatUserId);

    void batchInsert(List<PcloudUserLabel> pcloudUserLabels);

    void batchDeletePcloudUserLabel(List<Integer> ids);
}